import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listOffer(data) {
  return request({
    url: '/tOffer/list',
    method: 'post',
    data: data
  })
}

// 查询【请填写功能名称】详细
export function getOffer(id) {
  return request({
    url: '/tOffer/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addOffer(data) {
  return request({
    url: '/tOffer',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateOffer(data) {
  return request({
    url: '/tOffer',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delOffer(id) {
  return request({
    url: '/tOffer/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportOffer(query) {
  return request({
    url: '/tOffer/export',
    method: 'get',
    params: query
  })
}
